master
thomas 4 months ago
parent 590209a9ba
commit 8da4693b9f
  1. 1
      debmaker
  2. 31
      lib/exec_in_chroot.sh
  3. 21
      ressources/adguardhome/debmaker
  4. 7
      ressources/authelia/debmaker
  5. 14
      ressources/bitwarden-desktop/debmaker
  6. 15
      ressources/element-web/debmaker
  7. 23
      ressources/flame/debmaker
  8. 8
      ressources/gitea/debmaker
  9. 23
      ressources/glpi/debmaker
  10. 21
      ressources/gotify/debmaker
  11. 25
      ressources/grocy/debmaker
  12. 7
      ressources/joplin-desktop/debmaker
  13. 7
      ressources/joplin-server/debmaker
  14. 2
      ressources/libretranslate/debmaker
  15. 16
      ressources/mailhog/debmaker
  16. 20
      ressources/mautrix-syncproxy/debmaker
  17. 6
      ressources/mautrix-whatsapp/debian/changelog
  18. 7
      ressources/mautrix-whatsapp/debmaker
  19. 27
      ressources/mautrix-wsproxy/debmaker
  20. 27
      ressources/metabase/debmaker
  21. 12
      ressources/roundcubemail/debmaker
  22. 19
      ressources/rss-bridge/debmaker
  23. 19
      ressources/rustdesk-server/debmaker
  24. 36
      ressources/tt-rss/debmaker
  25. 14
      ressources/vaultwarden-web/debmaker
  26. 13
      ressources/vaultwarden/debmaker
  27. 17
      ressources/wallabag/debmaker
  28. 3
      ressources/zigbee2mqtt/debmaker

@ -1,4 +1,5 @@
#!/bin/bash
source ./lib/function.sh
case $1 in
list)
ls ressources;;

@ -1,13 +1,23 @@
#!/bin/bash
minimum_package() {
base_package_upgrade(){
apt update
apt install -y git wget ca-certificates dpkg fakeroot gnupg
apt dist-upgrade -y
apt install -y git wget ca-certificates dpkg fakeroot gnupg2
}
default_prebuild(){
install_package_dependency(){
apt-get install -y --no-install-recommends ${PACKAGE_DEPENDENCY}
}
get_git_source(){
[ -e /tmp/${APP} ] && rm -fr /tmp/${APP}
git clone --depth 1 -b ${GIT_VERSION} ${DEPOT} /tmp/${APP}
if [ "${GIT_VERSION}" = "last" ] ;
then
git clone --depth 1 ${DEPOT} /tmp/${APP}
else
git clone --depth 1 -b ${GIT_VERSION} ${DEPOT} /tmp/${APP}
fi
}
configure_depot_yarn() {
@ -41,6 +51,19 @@ install_rust() {
bash /tmp/rustup -qy
}
install_rust() {
wget -qO - https://download.clojure.org/install/linux-install-1.11.1.1155.sh | bash
}
minimum_package() {
base_package_upgrade
}
default_prebuild(){
get_git_source
}
if [ ! "$1" == "" ];
then

@ -1,30 +1,15 @@
#!/bin/bash
VERSION=0.108.0-b.11
[ -e ./lib/function.sh ] && source ./lib/function.sh
VERSION=0.108.0-b.12
APP=adguardhome
DEPOT=https://github.com/AdguardTeam/AdGuardHome.git
GIT_VERSION=v${VERSION}
DEB_VERSION=${VERSION}-$(date +%Y%m%d%H%M)
DEBIAN_VERSION_CODENAME=bullseye
IMAGE_SIZE=4
STEP="envinit prebuild build makedeb"
PACKAGE_DEPENDENCY="build-essential nodejs yarn"
envinit() {
configure_depot_yarn
configure_depot_nodejs
apt-get update
apt-get dist-upgrade -y
apt install -y --no-install-recommends build-essential git wget ca-certificates dpkg fakeroot nodejs yarn
install_go
}
prebuild(){
[ -e /tmp/${APP} ] && rm -fr /tmp/${APP}
git clone --depth 1 -b ${GIT_VERSION} ${DEPOT} /tmp/${APP}
}
STEP="base_package_upgrade configure_depot_yarn configure_depot_nodejs install_package_dependency install_go get_git_source build makedeb"
build() {
cd /tmp/${APP}

@ -1,9 +1,6 @@
#!/bin/bash
VERSION=4.36.4
[ -e ./lib/function.sh ] && source ./lib/function.sh
APP=authelia
DEPOT=https://github.com/authelia/authelia.git
GIT_VERSION=v${VERSION}
@ -11,12 +8,10 @@ DEB_VERSION=${VERSION}-$(date +%Y%m%d%H%M)
DEBIAN_VERSION_CODENAME=bullseye
IMAGE_SIZE=6
STEP="minimum_package envinit default_prebuild build makedeb"
STEP="base_package_upgrade envinit get_git_source build makedeb"
envinit() {
configure_depot_nodejs
apt-get update
apt-get dist-upgrade -y
apt install -y --no-install-recommends build-essential nodejs
install_go
wget -qO - https://get.pnpm.io/install.sh | sh -

@ -1,25 +1,15 @@
#!/bin/bash
VERSION=2022.8.1
[ -e ./lib/function.sh ] && source ./lib/function.sh
APP=bitwarden-desktop
DEPOT=https://github.com/bitwarden/clients.git
GIT_VERSION=desktop-v${VERSION}
DEB_VERSION=${VERSION}-$(date +%Y%m%d%H%M)
DEBIAN_VERSION_CODENAME=bullseye
IMAGE_SIZE=10
PACKAGE_DEPENDENCY="pkg-config libsecret-1-dev yarn nodejs"
STEP="minimum_package envinit default_prebuild build makedeb"
envinit() {
configure_depot_yarn
configure_depot_nodejs
apt-get update
apt-get dist-upgrade -y
apt install -y --no-install-recommends build-essential pkg-config libsecret-1-dev yarn nodejs
}
STEP="base_package_upgrade configure_depot_yarn configure_depot_nodejs install_package_dependency get_git_source build makedeb"
build() {
cd /tmp/${APP}

@ -1,9 +1,6 @@
#!/bin/bash
VERSION=1.11.2
[ -e ./lib/function.sh ] && source ./lib/function.sh
VERSION=1.11.3
APP=element-web
DEPOT=https://github.com/vector-im/element-web.git
GIT_VERSION=v${VERSION}
@ -11,22 +8,14 @@ DEB_VERSION=${VERSION}-$(date +%Y%m%d%H%M)
DEBIAN_VERSION_CODENAME=bullseye
IMAGE_SIZE=4
STEP="envinit prebuild build makedeb"
STEP="base_package_upgrade envinit get_git_source build makedeb"
envinit() {
minimum_package
configure_depot_yarn
configure_depot_nodejs
apt-get update
apt-get dist-upgrade -y
apt install -y --no-install-recommends yarn nodejs
}
prebuild(){
[ -e /tmp/${APP} ] && rm -fr /tmp/${APP}
git clone --depth 1 -b ${GIT_VERSION} ${DEPOT} /tmp/${APP}
}
build() {
cd /tmp/${APP}
yarn install

@ -1,34 +1,15 @@
#!/bin/bash
VERSION=2.3.0
[ -e ./lib/function.sh ] && source ./lib/function.sh
APP=flame
DEPOT=https://github.com/pawelmalak/flame.git
GIT_VERSION=v${VERSION}
DEB_VERSION=${VERSION}-$(date +%Y%m%d%H%M)
DEBIAN_VERSION_CODENAME=bullseye
IMAGE_SIZE=3
PACKAGE_DEPENDENCY="build-essential nodejs npm"
STEP="envinit prebuild build makedeb"
envinit() {
apt-get update
if [ $(dpkg -l | grep -e 'ii nodejs ' | wc -l) -eq 1 ];
then
apt-get dist-upgrade -y
else
apt install -y --no-install-recommends git wget ca-certificates dpkg fakeroot build-essential nodejs npm
fi
}
prebuild(){
[ -e /tmp/git ] && rm -fr /tmp/git
[ -e /tmp/${APP} ] || mkdir /tmp/${APP}
git clone --depth 1 -b ${GIT_VERSION} ${DEPOT} /tmp/git
cp -r /tmp/git/. /tmp/${APP}
}
STEP="base_package_upgrade install_package_dependency get_git_source build makedeb"
build() {
cd /tmp/${APP}/

@ -1,9 +1,6 @@
#!/bin/bash
VERSION=1.17.0
[ -e ./lib/function.sh ] && source ./lib/function.sh
APP=gitea
DEPOT=https://github.com/go-gitea/gitea.git
GIT_VERSION=v${VERSION}
@ -11,13 +8,10 @@ DEB_VERSION=${VERSION}-$(date +%Y%m%d%H%M)
DEBIAN_VERSION_CODENAME=bullseye
IMAGE_SIZE=5
STEP="envinit default_prebuild build makedeb"
STEP="base_package_upgrade envinit default_prebuild build makedeb"
envinit() {
minimum_package
configure_depot_nodejs
apt-get update
apt-get dist-upgrade -y
apt install -y --no-install-recommends build-essential nodejs
install_go
}

@ -1,9 +1,6 @@
#!/bin/bash
VERSION=10.0.2
[ -e ./lib/function.sh ] && source ./lib/function.sh
APP=glpi
DEPOT=https://github.com/glpi-project/glpi.git
GIT_VERSION=${VERSION}
@ -11,25 +8,11 @@ DEB_VERSION=${VERSION}-$(date +%Y%m%d%H%M)
DEBIAN_VERSION_CODENAME=bullseye
IMAGE_SIZE=4
STEP="envinit prebuild build makedeb"
STEP="base_package_upgrade envinit get_git_source build makedeb"
envinit() {
apt-get update
if [ $(dpkg -l | grep -e 'ii composer ' | wc -l) -eq 1 ];
then
apt-get dist-upgrade -y
else
apt install -y --no-install-recommends git fakeroot dpkg patch composer php-json php-xml php-curl php-gd php-intl php-ldap php-zip php-mysql wget gettext
wget -qO - https://deb.nodesource.com/setup_16.x | bash
apt install nodejs
fi
}
prebuild(){
[ -e /tmp/git ] && rm -fr /tmp/git
[ -e /tmp/${APP} ] || mkdir /tmp/${APP}
git clone --depth 1 -b ${GIT_VERSION} ${DEPOT} /tmp/git
cp -fr /tmp/git/. /tmp/${APP}
configure_depot_nodejs
apt install -y --no-install-recommends patch composer php-json php-xml php-curl php-gd php-intl php-ldap php-zip php-mysql gettext
}
build(){

@ -1,7 +1,5 @@
#!/bin/bash
[ -e ./lib/function.sh ] && source ./lib/function.sh
APP=gotify
VERSION=2.1.5
GIT_VERSION=v$VERSION
@ -9,22 +7,13 @@ DEB_VERSION=$VERSION-$(date +%Y%m%d%H%M)
DEBIAN_VERSION_CODENAME=bullseye
IMAGE_SIZE=6
STEP="envinit prebuild build makedeb"
STEP="base_package_upgrade envinit get_git_source build makedeb"
envinit() {
apt-get update
apt install -y --no-install-recommends build-essential git wget ca-certificates dpkg fakeroot gnupg2
wget -qO - https://deb.nodesource.com/setup_16.x | bash
wget -qO - https://dl.yarnpkg.com/debian/pubkey.gpg | gpg --dearmor > /usr/share/keyrings/yarnkey.gpg
echo "deb [signed-by=/usr/share/keyrings/yarnkey.gpg] https://dl.yarnpkg.com/debian stable main" > /etc/apt/sources.list.d/yarn.list
apt-get update
apt-get install -y nodejs yarn
wget -qO - https://go.dev/dl/go1.18.1.linux-amd64.tar.gz | tar -C /usr/local -xz
}
prebuild(){
[ -e /tmp/${APP} ] && rm -fr /tmp/${APP}
git clone --depth 1 -b ${GIT_VERSION} https://github.com/gotify/server.git /tmp/${APP}
configure_depot_yarn
configure_depot_nodejs
apt install -y --no-install-recommends build-essential nodejs yarn
install_go
}
build() {

@ -1,9 +1,6 @@
#!/bin/bash
VERSION=3.3.1
[ -e ./lib/function.sh ] && source ./lib/function.sh
APP=grocy
DEPOT=https://github.com/grocy/grocy.git
GIT_VERSION=v$VERSION
@ -11,27 +8,11 @@ DEB_VERSION=${VERSION}-$(date +%Y%m%d%H%M)
DEBIAN_VERSION_CODENAME=sid
IMAGE_SIZE=4
STEP="envinit prebuild build makedeb"
STEP="base_package_upgrade envinit get_git_source build makedeb"
envinit() {
apt-get update
if [ $(dpkg -l | grep -e 'ii php-simplexml ' | wc -l) -eq 1 ];
then
apt-get dist-upgrade -y
else
apt-get install -y --no-install-recommends wget ca-certificates gnupg2 composer git php-simplexml php-gd fakeroot dpkg unzip
wget -qO - https://dl.yarnpkg.com/debian/pubkey.gpg | gpg --dearmor > /usr/share/keyrings/yarnkey.gpg
echo "deb [signed-by=/usr/share/keyrings/yarnkey.gpg] https://dl.yarnpkg.com/debian stable main" > /etc/apt/sources.list.d/yarn.list
apt-get update
apt-get install -y yarn
fi
}
prebuild(){
[ -e /tmp/git ] && rm -fr /tmp/git
[ -e /tmp/${APP} ] || mkdir /tmp/${APP}
git clone --depth 1 -b ${GIT_VERSION} ${DEPOT} /tmp/git
cp -r /tmp/git/. /tmp/${APP}
configure_depot_yarn
apt-get install -y --no-install-recommends composer php-simplexml php-gd unzip yarn
}
build() {

@ -1,9 +1,6 @@
#!/bin/bash
VERSION=2.9.2
[ -e ./lib/function.sh ] && source ./lib/function.sh
APP=joplin-desktop
GIT_VERSION=v${VERSION}
DEB_VERSION=$VERSION-$(date +%Y%m%d%H%M)
@ -11,13 +8,11 @@ DEPOT=https://github.com/laurent22/joplin.git
DEBIAN_VERSION_CODENAME=bullseye
IMAGE_SIZE=10
STEP="minimum_package envinit default_prebuild build makedeb"
STEP="base_package_upgrade envinit get_git_source build makedeb"
envinit() {
configure_depot_yarn
configure_depot_nodejs
apt-get update
apt-get dist-upgrade -y
apt install -y --no-install-recommends build-essential python nodejs rsync yarn
}

@ -1,9 +1,6 @@
#!/bin/bash
VERSION=2.7.4
[ -e ./lib/function.sh ] && source ./lib/function.sh
APP=joplin-server
GIT_VERSION=server-v${VERSION}
DEB_VERSION=$VERSION-$(date +%Y%m%d%H%M)
@ -11,13 +8,11 @@ DEPOT=https://github.com/laurent22/joplin.git
DEBIAN_VERSION_CODENAME=bullseye
IMAGE_SIZE=8
STEP="minimum_package envinit default_prebuild build makedeb"
STEP="base_package_upgrade envinit default_prebuild build makedeb"
envinit() {
configure_depot_yarn
configure_depot_nodejs
apt-get update
apt-get dist-upgrade -y
apt install -y --no-install-recommends build-essential python nodejs rsync yarn
}

@ -3,8 +3,6 @@
VERSION=1.2.7
RELEASE=1
[ -e ./lib/function.sh ] && source ./lib/function.sh
APP=libretranslate
DEPOT=https://github.com/LibreTranslate/LibreTranslate.git
GIT_VERSION=v${VERSION}

@ -1,9 +1,6 @@
#!/bin/bash
VERSION=1.1.0
[ -e ./lib/function.sh ] && source ./lib/function.sh
APP=mailhog
DEPOT=https://github.com/mailhog/MailHog.git
GIT_VERSION=v$VERSION-beta1
@ -11,18 +8,11 @@ DEB_VERSION=$VERSION-$(date +%Y%m%d%H%M)
DEBIAN_VERSION_CODENAME=bullseye
IMAGE_SIZE=2
STEP="envinit prebuild build makedeb"
STEP="base_package_upgrade envinit base_package_upgrade build makedeb"
envinit() {
apt-get update
apt-get dist-upgrade -y
apt install -y --no-install-recommends build-essential git wget ca-certificates dpkg fakeroot
wget -qO - https://go.dev/dl/go1.18.linux-amd64.tar.gz | tar -C /usr/local -xz
}
prebuild(){
[ -e /tmp/${APP} ] && rm -fr /tmp/${APP}
git clone --depth 1 -b ${GIT_VERSION} ${DEPOT} /tmp/${APP}
apt install -y --no-install-recommends build-essential
install_go
}
build() {

@ -1,28 +1,22 @@
#!/bin/bash
[ -e ./lib/function.sh ] && source ./lib/function.sh
APP=mautrix-syncproxy
VERSION=0.0.1
VERSION=last
GIT_VERSION=$VERSION
DEB_VERSION=$VERSION-1
DEB_VERSION=0.1-$(date +%Y%m%d%H%M)
DEBIAN_VERSION_CODENAME=bullseye
IMAGE_SIZE=2
DEPOT=https://github.com/mautrix/syncproxy.git
STEP="envinit prebuild build makedeb"
STEP="base_package_upgrade envinit get_git_source build makedeb"
envinit() {
apt install -y --no-install-recommends build-essential git wget ca-certificates dpkg fakeroot
wget -qO - https://go.dev/dl/go1.17.7.linux-amd64.tar.gz | tar -C /usr/local -xz
}
prebuild(){
GIT_VERSION=$1
git clone --depth 1 https://github.com/mautrix/syncproxy.git /tmp/mautrix-syncproxy
apt install -y --no-install-recommends build-essential
install_go
}
build() {
cd /tmp/mautrix-syncproxy/
cd /tmp/${APP}
PATH=$PATH:/usr/local/go/bin
go build -o mautrix-syncproxy
}

@ -1,3 +1,9 @@
mautrix-whatsapp (0.6.1) UNRELEASED; urgency=medium
* First deb version
-- Thomas Legay <thomas@lgy.fr> Mon, 17 Jul 2022 21:08:37 +0200
mautrix-whatsapp (0.6.0) UNRELEASED; urgency=medium
* First deb version

@ -1,11 +1,8 @@
#!/bin/bash
VERSION=0.6.0
[ -e ./lib/function.sh ] && source ./lib/function.sh
VERSION=0.6.1
APP=mautrix-whatsapp
DEPOT=https://github.com/mautrix/whatsapp.git
DEPOT=https://github.com/mautrix/whatsapp.git
GIT_VERSION=v${VERSION}
DEBIAN_VERSION_CODENAME=bullseye
IMAGE_SIZE=4

@ -1,39 +1,32 @@
#!/bin/bash
[ -e ./lib/function.sh ] && source ./lib/function.sh
APP=mautrix-wsproxy
VERSION=1.0.0
GIT_VERSION=$VERSION
DEB_VERSION=$VERSION-1
GIT_VERSION=last
DEB_VERSION=$VERSION-$(date +%Y%m%d%H%M)
DEBIAN_VERSION_CODENAME=bullseye
IMAGE_SIZE=2
DEPOT=https://github.com/mautrix/wsproxy.git
STEP="envinit prebuild build makedeb"
STEP="base_package_upgrade envinit get_git_source build makedeb"
envinit() {
apt install -y --no-install-recommends build-essential git wget ca-certificates dpkg fakeroot
wget -qO - https://go.dev/dl/go1.17.7.linux-amd64.tar.gz | tar -C /usr/local -xz
}
prebuild(){
GIT_VERSION=$1
git clone --depth 1 https://github.com/mautrix/wsproxy.git /tmp/mautrix-wsproxy
apt install -y --no-install-recommends build-essential
install_go
}
build() {
cd /tmp/mautrix-wsproxy/
cd /tmp/${APP}
PATH=$PATH:/usr/local/go/bin
go build -o mautrix-wsproxy
}
makedeb(){
GIT_VERSION=$1
DEB_VERSION=$2
PATH_DEB=/tmp/src/rootfs
cp /tmp/mautrix-wsproxy/mautrix-wsproxy ${PATH_DEB}/usr/bin/mautrix-wsproxy
cp /tmp/mautrix-wsproxy/example-config.yaml ${PATH_DEB}/etc/mautrix-wsproxy.yaml
cp /tmp/${APP}/mautrix-wsproxy ${PATH_DEB}/usr/bin/mautrix-wsproxy
cp /tmp/${APP}/example-config.yaml ${PATH_DEB}/etc/mautrix-wsproxy.yaml
sed -i "s/%VERSION%/$DEB_VERSION/" ${PATH_DEB}/DEBIAN/control
fakeroot dpkg-deb -Z gzip --build ${PATH_DEB} /tmp/dist
}

@ -1,9 +1,6 @@
#!/bin/bash
VERSION=0.44
[ -e ./lib/function.sh ] && source ./lib/function.sh
VERSION=0.44.1
APP=metabase
DEPOT=https://github.com/metabase/metabase.git
GIT_VERSION=v$VERSION
@ -11,25 +8,13 @@ DEB_VERSION=${VERSION}-$(date +%Y%m%d%H%M)
DEBIAN_VERSION_CODENAME=bullseye
IMAGE_SIZE=10
STEP="envinit prebuild build makedeb"
STEP="base_package_upgrade envinit get_git_source build makedeb"
envinit() {
apt-get update
apt-get dist-upgrade -y
apt install -y --no-install-recommends build-essential git wget ca-certificates dpkg fakeroot openjdk-17-jdk curl
wget -qO - https://deb.nodesource.com/setup_16.x | bash
wget -qO - https://dl.yarnpkg.com/debian/pubkey.gpg | gpg --dearmor > /usr/share/keyrings/yarnkey.gpg
echo "deb [signed-by=/usr/share/keyrings/yarnkey.gpg] https://dl.yarnpkg.com/debian stable main" > /etc/apt/sources.list.d/yarn.list
apt-get update
apt-get install -y nodejs yarn
curl https://download.clojure.org/install/linux-install-1.11.1.1149.sh | bash
}
prebuild(){
[ -e /tmp/git ] && rm -fr /tmp/git
[ -e /tmp/${APP} ] || mkdir /tmp/${APP}
git clone --depth 1 -b ${GIT_VERSION} ${DEPOT} /tmp/git
cp -r /tmp/git/. /tmp/${APP}
configure_depot_yarn
configure_depot_nodejs
apt install -y --no-install-recommends build-essential openjdk-17-jdk curl nodejs yarn
wget -qO - https://download.clojure.org/install/linux-install-1.11.1.1155.sh | bash
}
build() {

@ -1,23 +1,15 @@
#!/bin/bash
VERSION=1.6.0
[ -e ./lib/function.sh ] && source ./lib/function.sh
APP=roundcubemail
DEPOT=https://github.com/roundcube/roundcubemail.git
GIT_VERSION=${VERSION}
DEB_VERSION=${VERSION}-$(date +%Y%m%d%H%M)
DEBIAN_VERSION_CODENAME=bullseye
IMAGE_SIZE=4
PACKAGE_DEPENDENCY="make curl npm nodejs jq php-xml php-pear php-mbstring unzip"
STEP="minimum_package envinit default_prebuild build makedeb"
envinit() {
apt-get update
apt-get dist-upgrade -y
apt-get install -y --no-install-recommends make curl npm nodejs jq php-xml php-pear php-mbstring unzip
}
STEP="base_package_upgrade install_package_dependency default_prebuild build makedeb"
build() {
cd /tmp/${APP}

@ -1,9 +1,6 @@
#!/bin/bash
VERSION=2022-06-14
[ -e ./lib/function.sh ] && source ./lib/function.sh
APP=rss-bridge
DEPOT=https://github.com/RSS-Bridge/rss-bridge.git
GIT_VERSION=$VERSION
@ -11,24 +8,12 @@ DEB_VERSION=$VERSION-$(date +%Y%m%d%H%M)
DEBIAN_VERSION_CODENAME=bullseye
IMAGE_SIZE=1
STEP="envinit prebuild makedeb"
envinit() {
apt-get update
apt-get dist-upgrade -y
apt install -y --no-install-recommends git fakeroot dpkg git
}
prebuild(){
[ -e /tmp/${APP} ] && rm -fr /tmp/${APP}
git clone --depth 1 -b ${GIT_VERSION} ${DEPOT} /tmp/${APP}
}
STEP="base_package_upgrade default_prebuild makedeb"
makedeb(){
PATH_DEB=/tmp/src/rootfs
cp -fr /tmp/rss-bridge ${PATH_DEB}/usr/share/
cp -fr /tmp/${APP} ${PATH_DEB}/usr/share/
cp ${PATH_DEB}/usr/share/rss-bridge/config.default.ini.php ${PATH_DEB}/etc/rss-bridge/config.ini.php
cp ${PATH_DEB}/usr/share/rss-bridge/whitelist.default.txt ${PATH_DEB}/etc/rss-bridge/whitelist.txt

@ -1,7 +1,5 @@
#!/bin/bash
[ -e ./lib/function.sh ] && source ./lib/function.sh
APP=rustdesk-server
VERSION=1.1.5-1
GIT_VERSION=$VERSION
@ -10,25 +8,14 @@ DEBIAN_VERSION_CODENAME=bullseye
IMAGE_SIZE=5
DEPOT=https://github.com/rustdesk/rustdesk-server.git
STEP="envinit prebuild build makedeb"
envinit() {
apt-get update
apt-get dist-upgrade -y
apt install -y --no-install-recommends wget fakeroot dpkg ca-certificates build-essential git
apt clean
}
STEP="envinit prebuild build makedeb"
STEP="minimum_package envinit prebuild build makedeb"
envinit() {
apt-get update
apt-get dist-upgrade -y
apt install -y --no-install-recommends build-essential git wget fakeroot dpkg ca-certificates
cd /tmp
wget -qO - https://sh.rustup.rs > rustup
bash rustup -qy
apt install -y --no-install-recommends build-essential
apt clean
install_rust
}
prebuild(){

@ -1,47 +1,29 @@
#!/bin/bash
[ -e ./lib/function.sh ] && source ./lib/function.sh
APP=tt-rss
VERSION=$(date +%Y%m.%d.%H%M)
GIT_VERSION=$VERSION
GIT_VERSION=last
DEB_VERSION=$VERSION
DEBIAN_VERSION_CODENAME=bullseye
IMAGE_SIZE=1
DEPOT=https://git.tt-rss.org/fox/tt-rss.git
STEP="envinit prebuild makedeb"
# build
envinit() {
apt-get update
apt-get dist-upgrade -y
apt-get install -y --no-install-recommends wget ca-certificates fakeroot dpkg git
apt clean
}
prebuild(){
[ -e /tmp/${APP} ] && rm -fr /tmp/${APP}
git clone --depth 1 https://git.tt-rss.org/fox/tt-rss.git /tmp/${APP}
}
build() {
cd /tmp/${APP}
}
STEP="base_package_upgrade get_git_source makedeb"
makedeb(){
PATH_DEB=/tmp/src/rootfs
cp -fr /tmp/tt-rss/* ${PATH_DEB}/usr/share/tt-rss/
mv ${PATH_DEB}/usr/share/tt-rss/cache ${PATH_DEB}/var/lib/tt-rss/
mv ${PATH_DEB}/usr/share/tt-rss/feed-icons ${PATH_DEB}/var/lib/tt-rss/
mv ${PATH_DEB}/usr/share/tt-rss/lock ${PATH_DEB}/var/lib/tt-rss/
mv ${PATH_DEB}/usr/share/tt-rss/config.php-dist ${PATH_DEB}/etc/tt-rss/config.php
cp -fr /tmp/${APP}/* ${PATH_DEB}/usr/share/tt-rss/
mv ${PATH_DEB}/usr/share/tt-rss/{cache,feed-icons,lock} ${PATH_DEB}/var/lib/tt-rss/
mv ${PATH_DEB}/usr/share/tt-rss/config.php-dist ${PATH_DEB}/etc/tt-rss/config.php
ln -s /var/lib/tt-rss/cache ${PATH_DEB}/usr/share/tt-rss/cache
ln -s /var/lib/tt-rss/feed-icons ${PATH_DEB}/usr/share/tt-rss/feed-icons
ln -s /var/lib/tt-rss/lock ${PATH_DEB}/usr/share/tt-rss/lock
ln -s /etc/tt-rss/config.php ${PATH_DEB}/usr/share/tt-rss/config.php
sed -i "s/%VERSION%/$DEB_VERSION/" ${PATH_DEB}/DEBIAN/control
fakeroot dpkg-deb -Z gzip --build ${PATH_DEB} /tmp/dist
}

@ -1,25 +1,15 @@
#!/bin/bash
VERSION=2022.6.2
[ -e ./lib/function.sh ] && source ./lib/function.sh
APP=vaultwarden-web
GIT_VERSION=v$VERSION
DEB_VERSION=$VERSION-$(date +%Y%m%d%H%M)
DEBIAN_VERSION_CODENAME=bullseye
IMAGE_SIZE=5
DEPOT=https://github.com/dani-garcia/bw_web_builds.git
PACKAGE_DEPENDENCY="build-essential python nodejs"
STEP="minimum_package envinit default_prebuild build makedeb"
envinit() {
configure_depot_yarn
configure_depot_nodejs
apt-get update
apt-get dist-upgrade -y
apt install -y --no-install-recommends build-essential python nodejs
}
STEP="base_package_upgrade configure_depot_nodejs install_package_dependency get_git_source build makedeb"
build() {
cd /tmp/${APP}

@ -1,24 +1,15 @@
#!/bin/bash
VERSION=1.25.2
[ -e ./lib/function.sh ] && source ./lib/function.sh
APP=vaultwarden
GIT_VERSION=$VERSION
DEB_VERSION=$VERSION-$(date +%Y%m%d%H%M)
DEBIAN_VERSION_CODENAME=bullseye
IMAGE_SIZE=8
DEPOT=https://github.com/dani-garcia/vaultwarden.git
PACKAGE_DEPENDENCY="build-essential libmariadb-dev libpq-dev pkg-config libmysql++-dev"
STEP="minimum_package envinit default_prebuild build makedeb"
envinit() {
apt-get update
apt-get dist-upgrade -y
apt install -y --no-install-recommends build-essential libmariadb-dev libpq-dev pkg-config libmysql++-dev
install_rust
}
STEP="base_package_upgrade install_package_dependency install_rust default_prebuild build makedeb"
build() {
cd /tmp/${APP}

@ -1,26 +1,19 @@
#!/bin/bash
[ -e ./lib/function.sh ] && source ./lib/function.sh
APP=wallabag
VERSION=2.5.1
APP=wallabag
GIT_VERSION=$VERSION
DEB_VERSION=${VERSION}-$(date +%Y%m%d%H%M)
DEBIAN_VERSION_CODENAME=bullseye
IMAGE_SIZE=4
DEPOT=https://github.com/wallabag/wallabag.git
STEP="envinit prebuild build makedeb"
STEP="base_package_upgrade envinit prebuild build makedeb"
envinit() {
apt-get update
apt-get dist-upgrade -y
apt-get install -y --no-install-recommends wget ca-certificates git php-common php-xml php-json php-gd php-mbstring php-xml php-tidy php-curl php-tokenizer php-bcmath php-intl php-fpm unzip fakeroot dpkg gpg make
wget -qO - https://deb.nodesource.com/setup_16.x | bash
wget -qO - https://dl.yarnpkg.com/debian/pubkey.gpg | gpg --dearmor > /usr/share/keyrings/yarnkey.gpg
echo "deb [signed-by=/usr/share/keyrings/yarnkey.gpg] https://dl.yarnpkg.com/debian stable main" > /etc/apt/sources.list.d/yarn.list
apt-get update
apt-get install -y yarn nodejs
configure_depot_yarn
configure_depot_nodejs
apt-get install -y --no-install-recommends php-common php-xml php-json php-gd php-mbstring php-xml php-tidy php-curl php-tokenizer php-bcmath php-intl php-fpm unzip make yarn nodejs
}
prebuild(){

@ -1,9 +1,6 @@
#!/bin/bash
VERSION=1.27.0
[ -e ./lib/function.sh ] && source ./lib/function.sh
APP=zigbee2mqtt
DEPOT=https://github.com/Koenkk/zigbee2mqtt.git
GIT_VERSION=${VERSION}

Loading…
Cancel
Save